# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

CRATES="
	autocfg-1.0.1
	ahash-0.4.0
	aho-corasick-0.7.18
	array-macro-1.0.5
	bitflags-1.3.2
	cc-1.0.72
	cfg-if-1.0.0
	cfg-if-0.1.10
	chrono-0.4.19
	const-random-0.1.13
	const-random-macro-0.1.13
	core-foundation-0.9.2
	core-foundation-sys-0.8.3
	crossbeam-channel-0.4.4
	crossbeam-utils-0.7.2
	crunchy-0.2.2
	cursive-0.15.2
	cursive_core-0.1.3
	darling-0.13.1
	darling_core-0.13.1
	darling_macro-0.13.1
	dirs-4.0.0
	dirs-sys-0.3.6
	enum-map-0.6.4
	enum-map-derive-0.4.6
	enumset-1.0.8
	enumset_derive-0.5.5
	fastrand-1.7.0
	fnv-1.0.7
	foreign-types-0.3.2
	foreign-types-shared-0.1.1
	form_urlencoded-1.0.1
	getrandom-0.2.4
	idna-0.2.3
	ident_case-1.0.1
	instant-0.1.12
	json-0.12.4
	lazy_static-1.4.0
	libc-0.2.113
	log-0.4.14
	maplit-1.0.2
	matches-0.1.9
	maybe-uninit-2.0.0
	memchr-2.4.1
	native-tls-0.2.8
	ncurses-5.101.0
	num-0.3.1
	num-complex-0.3.1
	num-integer-0.1.44
	num-iter-0.1.42
	num-rational-0.3.2
	num-traits-0.2.14
	once_cell-1.9.0
	open-2.0.2
	openssl-0.10.38
	openssl-probe-0.1.5
	openssl-sys-0.9.72
	owning_ref-0.4.1
	pathdiff-0.2.1
	percent-encoding-2.1.0
	pkg-config-0.3.24
	proc-macro2-1.0.36
	proc-macro-hack-0.5.19
	quote-1.0.15
	redox_syscall-0.2.10
	redox_users-0.4.0
	regex-1.5.4
	regex-syntax-0.6.25
	remove_dir_all-0.5.3
	schannel-0.1.19
	security-framework-2.5.0
	security-framework-sys-2.5.0
	signal-hook-0.1.17
	signal-hook-registry-1.4.0
	smawk-0.3.1
	stable_deref_trait-1.2.0
	strsim-0.10.0
	syn-1.0.86
	tempfile-3.3.0
	term_size-0.3.2
	textwrap-0.14.2
	time-0.1.43
	tiny-keccak-2.0.2
	tinyvec-1.5.1
	tinyvec_macros-0.1.0
	unicode-bidi-0.3.7
	unicode-linebreak-0.1.2
	unicode-normalization-0.1.19
	unicode-segmentation-1.8.0
	unicode-width-0.1.9
	unicode-xid-0.2.2
	url-2.2.2
	vcpkg-0.2.15
	wasi-0.10.2+wasi-snapshot-preview1
	winapi-0.3.9
	winapi-i686-pc-windows-gnu-0.4.0
	winapi-x86_64-pc-windows-gnu-0.4.0
	xi-unicode-0.2.1
"

inherit cargo

DESCRIPTION="Navigateur CLI pour le protocole Gemini"
HOMEPAGE="https://git.sr.ht/~julienxx/asuka"
SRC_URI="https://git.sr.ht/~julienxx/asuka/archive/${PV}.tar.gz
		$(cargo_crate_uris)"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="
dev-libs/openssl
sys-libs/ncurses
dev-lang/rust
"

RDEPEND="${DEPEND}"

pkg_setup() {
	export LC_CTYPE=en_US.UTF-8
}

src_compile() {
	default # pas enlever, c'est magique
}

src_install() {
	cargo_src_install --path ${S}
}
